PHP 7

72 views
Skip to first unread message

botzen67

unread,
Jan 10, 2021, 11:07:17 PMJan 10
to Gallery 3 Users
My hosting provider is forcing an upgrade from PHP 5.4 to PHP 7.x.
I proactively made the switch which broke my Gallery.
I installed a new version of gallery and moved over my "var" directory but it still isn't working.  Had to switch from using mysql to mysqli for the DB connection but it's broken.
Anyone have advice for using gallery3 with PHP 7.x?

Andrew Shinn

unread,
Jan 10, 2021, 11:12:43 PMJan 10
to gallery...@googlegroups.com
I'm using PHP7.4 on Cent8, ... I don't recall doing anything special
really. I moved it off a Cent7 box that had been running PHP5. I am
using mysqli.

Any more details on what isn't working?

-Andrew
> --
> WHEN USING AN EMAIL PROGRAM to reply to this message, click REPLY TO LIST or REPLY TO ALL so your reply goes out to everyone in the group. If you click REPLY or REPLY TO SENDER Google will *only* send your reply to the original author (not recommended).
>
> To post a NEW MESSAGE to the group, send an new email to:
> gallery...@googlegroups.com
>
> To view or sign in to this group on the web, use this URL:
> https://groups.google.com/forum/#!forum/gallery-3-users
> ---
> You received this message because you are subscribed to the Google Groups "Gallery 3 Users" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to gallery-3-use...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/gallery-3-users/dcf822e5-3cf9-4173-8ee3-f59a0ec944ban%40googlegroups.com.



--
Andrew Shinn
ashinn(at)ecimulti.org

botzen67

unread,
Jan 10, 2021, 11:29:57 PMJan 10
to Gallery 3 Users
Well I managed to get it working by doing a clean install, moving over the "var" directory, backing up the database.php file, doing an install and then modifying the database.php with the old database creds.

Pheww!!!

JR

unread,
Jan 11, 2021, 4:17:08 AMJan 11
to gallery...@googlegroups.com

You will need to clarify things a bit before we can offer much help:

1) Which version of Gallery were you running *before* you tried to upgrade to the new version?

2) You say you "installed a new version of gallery" -- which version was it you installed? The only one that should be used at this point is the latest release of Gallery 3, version 3.1.3 -- this latest version runs on everything from PHP 5.1 to 7.4 and can be downloaded at:

https://galleryrevival.com/download.php

3) Was your server still running PHP 5.4 when you "installed a new version of gallery"? That's the way to do the upgrade. Only after the installation of Gallery version 3.1.3 is successful under PHP 5.x and thoroughly tested should you then change the server to PHP 7.x (right now PHP 7.4 is best if it is available on your server).

-- J.R.

--

JR

unread,
Jan 11, 2021, 4:38:29 AMJan 11
to gallery...@googlegroups.com

Glad you got it working. It seems what you ended up doing is the process the upgrade instructions in the Gallery Codex outline:

http://codex.galleryproject.org/Gallery3:User_guide:Gallery3:Installing_and_upgrading.html#Upgrading

-- J.R.

--
WHEN USING AN EMAIL PROGRAM to reply to this message, click REPLY TO LIST or REPLY TO ALL so your reply goes out to everyone in the group. If you click REPLY or REPLY TO SENDER Google will *only* send your reply to the original author (not recommended).
 
To post a NEW MESSAGE to the group, send an new email to:
gallery...@googlegroups.com
 
To view or sign in to this group on the web, use this URL:
https://groups.google.com/forum/#!forum/gallery-3-users
---
You received this message because you are subscribed to the Google Groups "Gallery 3 Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to gallery-3-use...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages